> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trading Instruments

> Retrieve information about all available trading instruments, including contract specifications and trading rules.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/market/instruments
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/market/instruments:
    get:
      tags:
        - Market
      summary: Trading Instruments
      description: >-
        Retrieve information about all available trading instruments, including
        contract specifications and trading rules.
      operationId: get_v1-market-instruments-729ab49d9b34f463a3e238b72a17a256
      parameters:
        - name: instrumentType
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/InstrumentType'
            nullable: true
        - name: tradeable
          in: query
          required: false
          schema:
            type: boolean
            nullable: true
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_GetInstrumentsResponse'
      deprecated: false
components:
  schemas:
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_GetInstrumentsResponse:
      title: ApiResponse_for_GetInstrumentsResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetInstrumentsResponse'
        error:
          type: boolean
    GetInstrumentsResponse:
      type: object
      required:
        - instruments
      properties:
        instruments:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentDto'
    InstrumentDto:
      type: object
      required:
        - baseDecimals
        - btcUnit
        - contractSize
        - id
        - instrumentType
        - lotSizeFilter
        - priceFilter
        - quoteDecimals
        - status
        - symbol
      properties:
        baseDecimals:
          type: integer
          format: uint64
          minimum: 0
        btcUnit:
          $ref: '#/components/schemas/BtcUnits'
        calendarFilter:
          allOf:
            - $ref: '#/components/schemas/CalendarFilter'
          nullable: true
        contractSize:
          type: integer
          format: uint64
          minimum: 0
        fundingFeeFilter:
          allOf:
            - $ref: '#/components/schemas/FundingFeeFilter'
          nullable: true
        id:
          type: string
        instrumentType:
          $ref: '#/components/schemas/InstrumentType'
        lotSizeFilter:
          $ref: '#/components/schemas/SizeFilter'
        marginTradingFilter:
          allOf:
            - $ref: '#/components/schemas/MarginTradingFilter'
          nullable: true
        priceFilter:
          $ref: '#/components/schemas/PriceFilter'
        quoteDecimals:
          type: integer
          format: uint64
          minimum: 0
        status:
          $ref: '#/components/schemas/TradingStatus'
        symbol:
          type: string
    CalendarFilter:
      type: object
      required:
        - calendarId
        - normalSessionEndTime
        - normalSessionStartTime
        - timezone
      properties:
        calendarId:
          type: string
        normalSessionEndTime:
          type: string
        normalSessionStartTime:
          type: string
        timezone:
          type: string
    FundingFeeFilter:
      type: object
      required:
        - fundingFeePeriodMins
        - fundingFeeRateStep
        - maxFundingFeeRate
        - minFundingFeeRate
        - nextFundingTimeMs
      properties:
        fundingFeePeriodMins:
          type: integer
          format: int64
        fundingFeeRateStep:
          type: string
        maxFundingFeeRate:
          type: string
        minFundingFeeRate:
          type: string
        nextFundingTimeMs:
          type: integer
          format: int64
    SizeFilter:
      type: object
      required:
        - maxLimitOrderValue
        - maxMarketOrderValue
        - minOrderValue
        - quantityTickSize
      properties:
        maxLimitOrderValue:
          type: string
        maxMarketOrderValue:
          type: string
        maxPositionValue:
          type: string
          nullable: true
        minOrderValue:
          type: string
        quantityTickSize:
          type: string
    MarginTradingFilter:
      type: object
      required:
        - leverageStep
        - maintenanceMarginRatio
        - maxLeverage
        - minLeverage
      properties:
        leverageStep:
          type: string
        maintenanceMarginRatio:
          type: string
        maxLeverage:
          type: string
        minLeverage:
          type: string
    PriceFilter:
      type: object
      required:
        - tickSize
      properties:
        marketOrderSlippage:
          type: string
          nullable: true
        maxOrderSlippage:
          type: string
          nullable: true
        tickSize:
          type: string
    TradingStatus:
      type: string
      enum:
        - trading
        - closed
        - nottradeable
        - halted
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````